SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001830SiT!outbound emailpublic2013-01-11 19:032013-07-06 17:21
Reporterpaulvh 
Assigned Topaulh 
PrioritylowSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.67 LTS 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001830: Incident Details send email to use and carbon copy incident
DescriptionThe link on an incident for the user's email opens up your email client and creates an email message addresses to that user. This adds in the information regarding the incident ID and incident title and carbon copies the inbound email address so this communication is logged in the incident.
Additional Information--- ../sit-3.67/incident_details.php 2012-08-18 10:40:26.000000000 -0400
+++ /var/www/incident_details.php 2013-01-11 13:58:04.866787602 -0500
@@ -124,7 +124,7 @@ else
     $site .= list_tag_icons($incident->siteid, TAG_SITE); // site tag icons
     $site .= "
\n";
     echo sprintf($strContactofSite, $contact, $site)." ";
- echo "<a href=\"mailto:{$incident->email}\">{$incident->email}</a>
\n";
+ echo "<a href=\"mailto:{$incident->email}?subject=[{$incidentid}] {$incident->title}&cc=".$CONFIG['email_address']."\">{$incident->email}</a>
\n";
     echo "</div>\n";

     if ($incident->ccemail != '')
Tagspatch
Attached Files

- Relationships
related to 0000003confirmed Allow incidents to be replied by engineers from their inbox 

-  Notes
User avatar (0004663)
paulh (administrator)
2013-02-03 15:18

Thanks alot of this this, I agree this would be useful and will look to merge this code into a imminent release (this will probably be the new 3.9x/4.x versio0
User avatar (0004691)
paulh (administrator)
2013-02-04 20:24

Cheers Paul this is now merged into git as of 94170f2 (with a minor change as we support different incident formats in sit4, I've also added your name to the contributes

- Issue History
Date Modified Username Field Change
2013-01-11 19:03 paulvh New Issue
2013-02-03 15:18 paulh Note Added: 0004663
2013-02-03 15:18 paulh Assigned To => paulh
2013-02-03 15:18 paulh Status new => confirmed
2013-02-03 15:22 ivan Tag Attached: patch
2013-02-03 18:08 paulh Relationship added related to 0000003
2013-02-04 19:36 paulh Status confirmed => assigned
2013-02-04 20:24 paulh Note Added: 0004691
2013-02-04 20:24 paulh Status assigned => resolved
2013-02-04 20:24 paulh Resolution open => fixed
2013-02-04 20:24 paulh Fixed in Version => Current GIT
2013-07-06 17:21 ivan Target Version => 3.90beta1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker